blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
9f0f154f36c1d58f4cd19f880fd9f5b67e1331a3
Shell
Antezedens/temp-switch
/irrigation.sh
UTF-8
390
2.96875
3
[]
no_license
#!/bin/bash cd ${0%%irrigation.sh} #1 huette #2 pool #####3 stiege #4 flaeche #5 grillplatz #####6 böschung alla=$@ gpio=$1 minutes=${alla##$1 } echo "irrigation params: gpio $gpio: $minutes ('$alla')" #for i in 5 6m 170 6m 8m 9m ; do for i in $minutes ; do ./setrelais2.sh $gpio 0 echo "irrigation for $i" sleep...
true
341c03b30a714800e7f9d67e256ecf00ac3ddd3d
Shell
bhbo/docker-django-react
/bin/develop
UTF-8
846
3.375
3
[]
no_license
#!/bin/bash docker-compose up -d postgres client # wait for postgres to initialize before migrating for i in {30..0}; do if [ $(docker-compose logs postgres 2>&1 | grep "database system is ready to accept connections" | wc -l) -gt 1 ]; then echo "Postgres is ready." echo "Migrating Django models.....
true
d3061220001ba90b9a05b92486ed7ed98a63c878
Shell
goluckyryan/Cleopatra
/Cleopatra.sh
UTF-8
4,020
3.515625
4
[]
no_license
#!/bin/bash ######################################################################## # # This is Cleopatra.sh, a scripted version for Cleopatra # # Using bash script provide flexibility that user can add difference # compoenents during the calculation # # A full package includes fellowing: # 1) create a i...
true
7c864ec48fa8a233baa1c29edb6f3295042aee23
Shell
abeer486/gke-dedicated-game-server
/scaling-manager/tests/test-loader.sh
UTF-8
1,317
3.5625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2017 Google LLC All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
true
0ce7fe2f706872ba09090683bf8615dcb51cf979
Shell
eric-johnson/docker-dev-runner
/bin/drun
UTF-8
418
3.328125
3
[]
no_license
#!/usr/bin/env bash # DRUN_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )" DRUN_PATH="$(dirname "$(readlink -f "$0")")" image_file=`$DRUN_PATH/image-file` image=`cat $image_file` echo Image: $image SRC=$( dirname "$image_file" ) WORK_DIR="/code${PWD#$SRC}" DOCKER_OPTS="-e=MIX_HOME=/code/.mix" CMD="dock...
true
e3d31c63eb522ce71c477eaf7c0f2096847f44ca
Shell
netzgut/ubuntu-setup
/scripts/powertop.sh
UTF-8
879
3.640625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e MARKER=$(basename "${BASH_SOURCE%.*}") ############################################################################### # Powertop ############################################################################### # URL: https://wiki.archlinux.org/index.php/Powertop ###########################...
true
29d109d1fe2480d6c728c21230d5575fb9b93e70
Shell
isnot/UnisonUnum
/docker/voicevox_engine_dev/start.sh
UTF-8
359
2.609375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash OPT_DIR=/opt # 製品版 VOICEVOX でサーバーを起動 VOICEVOX_DIR=$OPT_DIR"/voicevox" # 製品版 VOICEVOX ディレクトリのパス cd $OPT_DIR"/voicevox_engine" # コードがあるディレクトリのパス /usr/bin/bash -c "/usr/bin/python3 proxy_run.py --voicevox_dir=${VOICEVOX_DIR} --host 0.0.0.0 --port ${VIRTUAL_PORT}"
true
0c8a4e150d9aa7b9b53950482c4837493c6fea36
Shell
arseny30/settings
/.bashrc
UTF-8
1,206
3.390625
3
[]
no_license
# ~/.bashrc: executed by bash(1) for non-login shells. # History export HISTTIMEFORMAT="%h %d %H:%M:%S> " #export HISTCONTROL=ignoredups export HISTCONTROL=ignoredups:erasedups:ignorespace export HISTSIZE=1000000 shopt -s histappend # '<hostname>:<directory>$ ' export PS1='\h:\w\$ ' # Initial value of file permissio...
true
8801f3e43d6e74f0ed24428dcf7f1dd5db350762
Shell
bigmountainideas/vagrant-shell-bootstrap
/provisioners/app.sh
UTF-8
482
3.4375
3
[ "MIT" ]
permissive
NGX_HOME=/usr/local/nginx for DOMAIN in "$@" do DOMAIN_CONFIG="include /home/apps/${DOMAIN}/bin/nginx.conf;" if [ -a "${NGX_HOME}/sites-available/${DOMAIN}" ]; then sudo rm ${NGX_HOME}/sites-available/${DOMAIN} fi sudo echo -e "$DOMAIN_CONFIG" >> ${NGX_HOME}/sites-available/${DOMAIN} if ! [ -a "${NGX_...
true
2090bef1f72753f5e4d247fa0124d533d523c0a0
Shell
matveykolesnik/Drobysheva_et_al_2020
/Process_raw_data.sh
UTF-8
1,384
3.65625
4
[]
no_license
#!/bin/bash #Shell script that performs quality checking of the reads before and after trimming, maps the reads onto reference genome generating indexed BAM files #Requires: fastqc, trimmomatic, bowtie2, samtools WD="~/data/Drobysheva_et_al_2020/" echo $WD cd $WD #Path to file with sequencing adapters Adapters="TruS...
true
e0a1988a6268ca19c9b781c29d071269346e4f46
Shell
tonetheman/hamming-test
/run.sh
UTF-8
262
3
3
[]
no_license
#!/bin/bash COUNT=0 while [[ true ]]; do rm -rf results ./tone -t target -w words if [[ -e ./results ]]; then echo "GOT IT" rm -rf ./savedlow tail -2 ./results > ./savedlow fi COUNT=`./addr.py 1 $COUNT` if [[ $COUNT -eq 1 ]]; then break fi done
true
59f5a7a88f218dd304edcff955e902dcd2ba6b41
Shell
kafedra-bit/resela-plus
/install/Controller/Mitaka/environmentConfig.sh
UTF-8
2,387
3.234375
3
[]
no_license
#!/usr/bin/env bash # Author Annika Hansson, Fredrik Johansson # Openstack version Mitaka # Ubuntu Server version 16.04 LTS # Load the variables containing user input . controllerInstall echo "Enabling the OpenStack repository..." apt-get -y -q install software-properties-common add-apt-repository -y cloud-archive:m...
true
5dddd8e1da1cf41055b56ae843271d2b65cc6c84
Shell
robotspace/arminix
/drivers/memory/ramdisk/proto.sh
UTF-8
389
2.609375
3
[]
no_license
#!/bin/sh PATH=/bin:/sbin:/usr/bin:/usr/sbin sed -n '1,/@DEV/p' <proto | grep -v @DEV@ ( cd /dev ls -aln | grep '^[bc]' | egrep -v ' (fd1|fd0p|tcp|eth|ip|udp|tty[pq]|pty)' | \ sed -e 's/^[bc]/& /' -e 's/rw-/6/g' -e 's/r--/4/g' \ -e 's/-w-/2/g' -e 's/---/0/g' | \ awk '{ printf "\t\t%s %s--%s %d %d %d %d \n", $11, $1,...
true
f9da541e7f81ef6e2d3285560f187b0a8d2dd90b
Shell
wohlben/dotfiles
/zsh_custom/plugins/histdb/histdb.plugin.zsh
UTF-8
739
2.65625
3
[]
no_license
###### histdb && autosuggestions ################################ _zsh_autosuggest_strategy_histdb_top_here() { local query="select commands.argv from history left join commands on history.command_id = commands.rowid left join places on history.place_id = places.rowid where places.dir LI...
true
f5dd9e007e63a9d33be2872a886a70693a472516
Shell
fneb/serverdensitysynology
/serverdensitysynoinstall.sh
UTF-8
7,040
3.78125
4
[]
no_license
#!/bin/ash # Installer for Server Density on Synologys, by Bethany Corcoran. # This script will prompt for a path to install to, download the latest Server Density agent for Linux, extract it, and perform some basic setup (potentially from pre-made files that it will download). # Released under the GNU General Public...
true
94160fd38f00c650760e3dffb2b621ea9b8d89b8
Shell
kio-networks/Checklist-BSA-1907BSACL010
/1907BSACL010/gluster/apifs/home/sakio/scripts/getAllServerClockDrift.sh
UTF-8
787
3.59375
4
[]
no_license
#!/bin/bash driftthr="$1" localdir=`dirname $0` serverList=`cat ${localdir}/servers.txt` slackChannel="$2" timestamp=`date +"%Y%m%d-%H%M%S.%N"` statusfile="/gluster/tmpcommon/sakio/driftStatusFiles/drift-status-${timestamp}.tmp" touch $statusfile numserver=`wc -l ${localdir}/servers.txt | cut -d " " -f 1` echo "Queryin...
true
29b1fb1b888dd2e848d7364c1737503ea6b3fc5a
Shell
adriel/denyhosts-sync-docker
/run.sh
UTF-8
1,268
3.921875
4
[ "MIT" ]
permissive
#!/bin/bash set -eu set -o pipefail # Table to check if tables have been generated TABLE='country_history' printf "[database] # Type of database. Choice of sqlite3, MySQLdb, psycopg2 (PostgreSQL) type: mysql db: ${MYSQL_DATABASE} host: ${MYSQL_HOSTNAME} user: ${MYSQL_USER} passwd: ${MYSQL_PASSWORD} # Maximum size o...
true
75bffa5ac6009b89115d07e59ea2391562fdd5e8
Shell
neoskop/s3surgeon
/release.sh
UTF-8
859
3.953125
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e function check_commands() { for command in $@; do if ! command -v $command >/dev/null; then echo -e "Install \033[1m$command\033[0m" exit 1 fi done } check_commands git npm jq if [[ "$#" != "1" ]] || [[ ! "$1" =~ ^(patch|minor|major)$ ]]; th...
true
889d57a66eaa43b472dbfe46a7dd01f9448dfe21
Shell
dklaes/scripts
/KiDS/stats/2015.08.10/get_statistics.sh
UTF-8
1,458
2.984375
3
[]
no_license
for FILTER in r_SDSS i_SDSS do rm mag_limit_individual_${FILTER}.txt rm mag_limit_${FILTER}.txt for POINTING in `ls -1 --color=none | grep KIDS_` do ldactoasc -i ${POINTING}/${FILTER}/precoadd_V0.5.7A/cat/V0.5.7A.cat \ -t STATS -k V0.5.7A IMAGENAME -b -s | awk '$1==1 {print $2}' \ ...
true
c1eb3227b56e217a539b16889b5e77e54594e592
Shell
fpga18/Shell-Build-Xcode_Static-library-and-Framework
/BuildXcodeShell.sh
UTF-8
1,440
3.546875
4
[]
no_license
#!/bin/sh clear PRECDPATH=`dirname $0` echo "$PRECDPATH" cd $PRECDPATH CURRENTPATHCMD=`pwd` ls TARGETPATH="$CURRENTPATHCMD" cd .. CURRENTPATH="$CURRENTPATHCMD" echo "CURRENTPATH = $CURRENTPATH" dir=$(ls -l $CURRENTPATH |awk '/^d/ {print $NF}') ISVAILDPATH="FALSE" RIGHT="ISTRUE" TARGETNAME="" for i in $dir do if [[ $i =...
true
2a9b1692b439acde8ffc6581e5a97e86a2955193
Shell
rl337/incubator
/main/muxbot/src/exec/udict.sh
UTF-8
730
3.46875
3
[]
no_license
#!/bin/sh ESCAPED=`echo "$1" | sed -e 's/ /+/g'` RESULT=`curl -L -s "http://www.urbandictionary.com/define.php?term=$ESCAPED"` echo "$RESULT" | grep -i "<i>$1</i> isn't defined" > /dev/null 2>&1 if [ $? -eq 0 ]; then echo "No Definition Found" exit 0 fi echo "$RESULT" | grep '<div class="definition">' | tr '[A-Z]...
true
b0ab7586bd57c06d515801653e204e83b7a45f84
Shell
alfredo-milani/openwhisk-fn-bench
/script/env/dev/faas/openwhisk.sh
UTF-8
6,548
3.140625
3
[]
no_license
# ============================================================================ # Titolo: openwhisk.sh # Descrizione: Contiene alias utili per progetti # Autore: Alfredo Milani (alfredo.milani.94@gmail.com) # Data: Mon Nov 19 06:04:59 CET 2020 # Licenza: MIT License # Versione: 1.0.0 # Note: --/-- # Versione bash: 4.4.1...
true
bca6935584b0e6a328bf53916c9ddb133dc22385
Shell
vansergen/gemini-node-api
/.github/scripts/decrypt.sh
UTF-8
320
2.734375
3
[ "MIT" ]
permissive
#!/bin/bash set -e # Descrypt the private key gpg --quiet --batch --yes --decrypt --passphrase=${PRIVATE_KEY_PASSPHRASE} \ --output ./.github/pgp/key.asc ./.github/pgp/key.asc.gpg # Set the access permissions chmod 600 ./.github/pgp/key.asc # Import the private key gpg --batch --yes --import ./.github/pgp/key.asc
true
1d1ff9fa26021b3d215a7101e71207cfa59d8619
Shell
sfrom/dotnet-core-sam-actions
/deploy/entrypoint.sh
UTF-8
671
2.5625
3
[ "Apache-2.0" ]
permissive
#!/bin/sh : ${AWS_REGION:=eu-central-1} export PATH="$PATH:/root/.dotnet/tools" cd "${DOTNET_LAMBDA_WORKING_DIR:-.}" dotnet lambda deploy-serverless $DOTNET_LAMBDA_STACK_NAME #aws s3 cp --only-show-errors $DOTNET_LAMBDA_PACKAGE_NAME s3://$DOTNET_LAMBDA_S3_LOCATION/$DOTNET_LAMBDA_PACKAGE_NAME #aws lambda update-function...
true
a08469cd7b26bb61f2107073ba60b8431455557f
Shell
hortonworks/cloudbreak-images
/saltstack/base/salt/ccm-client/cdp/bin/reverse-tunnel-values.sh
UTF-8
827
2.734375
3
[ "Apache-2.0", "LicenseRef-scancode-proprietary-license" ]
permissive
#!/bin/bash -ux CCM_HOST= # The host endpoint for the CCM (minasshd) service. CCM_SSH_PORT=8990 # The port on which the CCM (minasshd) service listens for SSH connections. CCM_PUBLIC_KEY_FILE= # The path to the public key file for the CCM (minasshd) service. CCM_TUNNEL_INITIATOR_ID= # The ID of the tunnel initator. Th...
true
dbb47b8c6b7f60df0750ad63dcaa58212847d08e
Shell
LuisPatino92/holbertonschool-higher_level_programming
/0x10-python-network_0/0-body_size.sh
UTF-8
127
2.828125
3
[]
no_license
#!/bin/bash # This scripts prints the length of the body of a HTTP response expr $(echo $(curl "$1" 2> /dev/null) | wc -c) - 1
true
35e813f6898f068449ed995c84f4ae5b0b5ce14b
Shell
costing/Monalisa
/WEBS/WEB_GRAPH/WEB-INF/classes/compile.sh
UTF-8
499
2.78125
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash cd `dirname $0` BASE=../../../../.. LIB=$BASE/lib CP=.:$BASE/bin/alienpool:$BASE/lib/classes:$BASE/tomcat/lib/catalina.jar:$BASE/tomcat/lib/servlet-api.jar for JAR in $LIB/*.jar; do CP="$CP:$JAR" done cat alimonitor/Page.java | sed "s#/home/monalisa/MLrepository/tomcat/webapps/ROOT#$(dirname $(dir...
true
c16e49d57e41b96e078238cbc9203afd69db173c
Shell
rmaliska/astrofoto
/astrofoto/foto
UTF-8
883
3.15625
3
[]
no_license
#!/bin/bash gphoto2 --set-config shutterspeed=bulb --quiet # Ask for object name read -p "Object Name: " oname # ISO read -p "ISO: " iso # Bulb time read -p "Bulbtime: " bulbtime # Frames count read -p "Frames: " frames # Enviroment HOME=/home/astroberry/astrofoto DATE=`date +"%d%b%y"` NAME=${oname}_${DATE} FOLD...
true
a2337c65baba381b4a712635bf4915fc57d24fe7
Shell
mroach/irix-builder
/ports/readline/PKGBUILD
UTF-8
499
2.640625
3
[]
no_license
pkgname=readline pkgver=8.0 pkgdesc="GNU readline" url="https://tiswww.case.edu/php/chet/readline/rltop.html" licenses=('GPL') depends=(ncurses) provides=('libhistory.so' 'libreadline.so') sources=("ftp://ftp.cwru.edu/pub/bash/$pkgname-$pkgver.tar.gz") sha256sums=(e339f51971478d369f8a053a330a190781acb9864cf4c541060f120...
true
74efa9d278ab24d4b19103ab8dfe7d76d3e3e1e7
Shell
pldiiw/1lin
/src/pre-chroot.sh
UTF-8
130
2.515625
3
[ "Unlicense" ]
permissive
for script in $(ls -1 scripts | sed -n -E '1,/[0-9]{2}-begin-chroot.sh/p' | sed -e 's:^:scripts/:'); do source $script done
true
57b10ec4e4a0703681cdc5017c684b35c3f231d2
Shell
glennakamura/aports
/community/roundcubemail/roundcubemail-pgsql.post-install
UTF-8
365
2.625
3
[]
no_license
#!/bin/sh cat >&2 <<EOF * * Create database for Roundcube and load the initialization script: * * su -l postgres * psql -c "CREATE ROLE roundcube PASSWORD 'top-secret' INHERIT LOGIN;" * psql -c "CREATE DATABASE roundcube OWNER roundcube ENCODING 'UTF-8';" * psql -U roundcube roundcube < /usr/share/weba...
true
26885d83aa1e9f6537e9eed1e816763c36754615
Shell
oncoapop/data_reporting
/beast_scripts/p3out2isPCRin.sh
UTF-8
1,991
3.734375
4
[]
no_license
#!/bin/sh # This Script was written by Damian Yap (Aug 2013) # WSOP2013-001 version 4.0 # Script to generate isPCR input from primer3 output # $Project and $type is exported from previous script # Project Directory # Project="TNBC" dir="/home/dyap/Projects/"$Project tmp="/home/dyap/dyap_temp/ITH" # positions posdir...
true
50f9809f5897d04632a759d35218fd29a498ef29
Shell
mbovel/wp-backup-restore-command
/bin/install-tests.sh
UTF-8
1,450
3.578125
4
[]
no_license
#!/usr/bin/env bash set -ex WP_CLI_BIN_DIR=${WP_CLI_BIN_DIR-/tmp/wp-cli-phar} PKG_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../ && pwd )" BEHAT_DIR=${PKG_DIR}/features download() { if [ `which curl` ]; then curl -s "$1" > "$2"; elif [ `which wget` ]; then wget -nv -O "$2" "$1" fi } install_composer_packa...
true
35ddf3db415a665103412fe84e5a8e428ffdc73b
Shell
jandc3845/packer-kali
/scripts/chef.sh
UTF-8
327
2.609375
3
[]
no_license
# Change our debian version because Kali's default doesn't work with the Omnibus installer echo "7.4" > /etc/debian_version # install Omnibus Chef Client wget -O - http://opscode.com/chef/install.sh | sudo bash -s # Change our debian version back so we don't break shit with Kali echo "Kali Linux 1.0.9" > /etc/debian_...
true
a957b92e2fe314a0393cc4d81da5ba6017b09175
Shell
kitingChris/UbuntuQuickinstall
/_install/androidsdk.sh
UTF-8
666
3.28125
3
[ "MIT" ]
permissive
#!/bin/bash if [ "$MainScript" != "true" ]; then echo "This is not the main script!" 1>&2 exit 1 fi echo '###############################################' echo 'INSTALL Android SDK' echo '###############################################' echo "Download Android SDK from http://developer.android.com/sdk/index.h...
true
73df160d3ab3902ab0c625a0e18591297883957c
Shell
slimgroup/ServerlessImagingAWS
/numerical_examples/strong_scaling_bare_metal/devito_docker/mpi_run.sh
UTF-8
3,701
3.90625
4
[ "MIT" ]
permissive
#!/bin/bash SSHDIR="/home/ubuntu/.ssh" aws s3 cp s3://slim-bucket-common/pwitte/keys/ssh_host_rsa_key ${SSHDIR}/. aws s3 cp s3://slim-bucket-common/pwitte/keys/ssh_host_rsa_key.pub ${SSHDIR}/. cat ${SSHDIR}/ssh_host_rsa_key.pub >> ${SSHDIR}/authorized_keys echo "Host *" >> ${SSHDIR}/config && echo " StrictHostKeyCheck...
true
dacdc782e0a054cfd78e41308d593cfe3ae6e722
Shell
DylanCauwels/dotfiles
/zsh/zprofile.symlink
UTF-8
393
2.96875
3
[ "ISC" ]
permissive
#!/usr/bin/env bash # # ZSH PROFILE # # `.zprofile' is meant as an alternative to `.zlogin' for ksh fans; # the two are not intended to be used together, # although this could certainly be done if desired. # # Put stuff in `~/.zshenv`, which is always executed. # See comments in `~/.zshenv` for detailed summary. [[...
true
ebc0ea1e09cdec10e662200775e93a25ad24bb74
Shell
zackeryf/up
/test/run_tests
UTF-8
564
3.1875
3
[ "MIT" ]
permissive
#!/bin/bash # Use bashutils to run etest # @requires bashutils environment variable BASHUTILS_HOME to be set to where bashutils is installed. # This can be done in .bashrc. Example BASHUTILS_HOME=/home/myuser/bashutils # I am just going to set it here BASHUTILS_HOME=${HOME}/bashutils BASHUTILS=${BASHUTILS_HOME}/shar...
true
f46dd2a21b8fac318803da1985f0489af9e60a4b
Shell
niyonx/night-light
/nightlight.sh
UTF-8
293
2.828125
3
[]
no_license
#!/bin/bash bool=$(gsettings get org.gnome.settings-daemon.plugins.color night-light-enabled); if [ "$bool" = true ]; then gsettings set org.gnome.settings-daemon.plugins.color night-light-enabled false else gsettings set org.gnome.settings-daemon.plugins.color night-light-enabled true fi
true
82b9e642be06f7a2af6adba5d7a1b5e33495959d
Shell
radicallyopensecurity/netaidkit-nakd
/root/usr/share/nakd/scripts/get_inetstat.sh
UTF-8
98
2.53125
3
[]
no_license
#!/bin/sh ping -c1 8.8.8.8 &> /dev/null if [ $? -ne 0 ]; then echo "1" else echo "0" fi
true
6ff1e6cdf272a68a1576fd9e373ec0c1f16a2e41
Shell
Quarkex/dotfiles
/functions/img2cover.sh
UTF-8
3,817
3.40625
3
[ "Unlicense" ]
permissive
function img2cover {( ext="jpg"; cover=" (cover)"; backcover=" (backcover)"; joint=" - "; while getopts ":t:a:c:b:e:j:o:h" opt; do case $opt in h) echo "Joins images at the first or last page of a pdf."; echo ""; echo "-t Define the...
true
7640dcdd317332280474cb6e53ae2e6333271af9
Shell
arbal/projects
/kubernetes/install_kube.sh
UTF-8
675
3.140625
3
[]
no_license
#!/bin/bash USER=`whoami` if [ "$USER" != "root" ]; then echo ERROR: Run this script using sudo exit 1 fi apt-get update && sudo apt-get install -y apt-transport-https gnupg2 curl -s https://packages.cloud.google.com/apt/doc/apt-key.gpg | sudo apt-key add - echo "deb https://apt.kubernetes.io/ kubernetes-$(ls...
true
146e3d347bf1c66ec3f8646fa623d60ac04edaa5
Shell
magento2setup/ubuntu-14.04-lts
/bin/permission
UTF-8
609
2.59375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # | magento if [ -d '/var/www/magento2' ]; then # permission(s) - document - root chown 775 '/var/www/magento2' # cd - document - root cd '/var/www/magento2' # permissin(s) - var/vendor/pub/app/... find var vendor pub/static pub/media app/etc -typ...
true
4cc1284cb0b3cfe20fc67ee38aebdf327fc32e70
Shell
fengmudong/Scripts
/rigidscan.sh
UTF-8
2,033
3.34375
3
[ "MIT" ]
permissive
#!/bin/bash ######### # Script to do RIGID scan on a dihedral angle from 0 to 360 with AMBER. # Adapted from a relaxed scan script https://github.com/swails/JmsScripts/blob/master/scan.sh. ######### # User set Variables NUM_STEPS=72 # Number of points in PES scan (increment is 360/NUM_STEPS degrees) PRMTOP...
true
48234f931f16106c5c806c499f039bd093226967
Shell
stajichlab/Afum_popgenome
/variantcall/pipeline/01_aln_Af100_2lanes.sh
UTF-8
3,884
3.0625
3
[]
no_license
#!/usr/bin/bash #SBATCH --mem 24G --ntasks 8 --nodes 1 -J Af100 #SBATCH --out logs/AF100.bwa.%a.log --time 2:00:00 -p short module load bwa/0.7.17 module unload java module load java/8 module load picard module load samtools/1.9 module load gatk/3.7 MEM=24g GENOMESTRAIN=Af293 INDIR=input TOPOUTDIR=tmp ALNFOLDER=aln H...
true
26ef86fbfc7876f9a262800acbfe8f1b39f62efd
Shell
infosecirvin/packetwall
/light.sh
UTF-8
1,060
4.09375
4
[]
no_license
#!/bin/bash # Common path for all GPIO access BASE_GPIO_PATH=/sys/class/gpio # Assign names to GPIO pin numbers for each light GREEN=12 # Assign names to states ON="1" OFF="0" # Utility function to export a pin if not already exported exportPin() { if [ ! -e $BASE_GPIO_PATH/gpio$1 ]; then echo "$1" > $BASE_GP...
true
3818c037dbf357290ac6dbff1dbff1005db904ea
Shell
shawe/Hackberry_boot_Android_from_SD
/ROM-Stock/createSD_Stock.sh
UTF-8
6,272
2.8125
3
[]
no_license
#!/bin/bash # Based on: # http://linux-sunxi.org/Boot_Android_from_SdCard#BootLoader # http://jas-hacks.blogspot.co.uk/2012/12/hackberry-a10-booting-android-from-sd.html # http://tmerle.blogspot.fr/2012/11/booting-android-ics-system-from-sdcard.html card=/dev/sdb echo "Downloading required files..." wget -c https...
true
5ffd10c298a8547ca0089401653cc352de603481
Shell
Seiyial/Docs
/centos-setup.sh
UTF-8
1,332
2.953125
3
[]
no_license
# Install build-essential (Development tools) sudo yum -y group install "Development Tools" # Install Erlang wget https://packages.erlang-solutions.com/erlang-solutions-1.0-1.noarch.rpm sudo yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm sudo rpm -Uvh erlang-solutions-1.0-1.noarch....
true
2a77b300828a5a4a91864c709c653d687c558a5c
Shell
TrendingTechnology/SDCLR
/cmds/shell_scrips/cifar-100-LT.sh
UTF-8
4,835
2.859375
3
[]
no_license
# get opts while [[ $# -gt 0 ]] do key="$1" case $key in -e|--epochs) pretrain_epochs="$2"; shift; shift ;; -s|--split) pretrain_split="$2"; shift; shift ;; -p|--port) port="$2"; shift; shift ;; -w|--workers) workers="$2"; shift; shift ;; -g|--GPU_NUM) GPU_NUM=("$2"); shift; shift ;; --lr) pret...
true
866331f87fbe04f067e74c107533119952c45387
Shell
VeeamHub/veeam-terraform
/veeam-backup-and-replication/deploy_veeam_in_vmware_sddc_toolkit/aws_create_veeamrepo_veeampn/init_client.sh
UTF-8
13,261
3.453125
3
[ "MIT", "JSON" ]
permissive
#!/bin/sh function trim { DATA="$1" t="${DATA%\"}" RES="${t#\"}" echo "$RES" } function log { if [[ "$VEEAMPN_TEST_LOG_FILE" = "" ]]; then echo "$(date +%Y-%m-%dT%H:%M:%S:%N -u) $@" else echo "$(date +%Y-%m-%dT%H:%M:%S:%N -u) $@" >> "$VEEAMPN_TEST_LOG_FILE" fi } function ...
true
33177676689aef43ae06fcc19370834b5c42c9b5
Shell
sniperrifle2004/sniperrifle2004.github.io
/vba-rerecording/24.4.0/PKGBUILD
UTF-8
1,336
2.828125
3
[]
no_license
pkgname=vba-rerecording pkgver=24.4.0 pkgrel=1 pkgdesc='Re-recording version of VisualBoyAdvance with lua scripting' arch=('i686' 'x86_64') url='https://github.com/vba-rerecording/vba-rerecording' license=('GPL') depends=( 'lua51' 'sdl' 'libpng' ) optdepends=() makedepends=( 'bison' 'flex' 'cmake>=2.8.4' ...
true
15d7f46a10c9d3cb8cd8c6f8037b0d9b89b67d94
Shell
virginiadb/open-mccree
/scripts/nginx.sh
UTF-8
523
2.640625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash str="server { listen 80; server_name ${USER}.mccree.panda.tv; charset utf8; add_header 'Access-Control-Expose-Headers' 'Location'; root /home/${USER}/devspace/panda-mccree/packages/panda-mccree-live/; location / { index index.html; } }"; echo -e "$str" > ~/devspac...
true
3ec558819b6eec7fc8983b8b2600e0fe73f28f43
Shell
brofi/dotfiles
/lib/archlinux-utils.sh
UTF-8
1,620
4.21875
4
[]
no_license
#!/bin/bash # # Collection of Arch Linux specific functions url_aur=https://aur.archlinux.org # Checks if given package is installed and prints error message if not # $1 package to check if installed function archlinux_is_installed { if ! pacman -Q "$1" > /dev/null 2>&1; then error "package '$1' is not in...
true
e10a45edbbaff0770d4cddf1829025550f8b1249
Shell
1Blackdiamondsc/LitecoinNode
/raspbian/raspbian-remove-statuspage.sh
UTF-8
622
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash #change working directory cd $HOME #remove website files echo "Removing node status page website files" rm -r -f -v $RASPBIAN_WEBSITE_DIR/banner.png rm -r -f -v $RASPBIAN_WEBSITE_DIR/bootstrap.css rm -r -f -v $RASPBIAN_WEBSITE_DIR/favicon.ico rm -r -f -v $RASPBIAN_WEBSITE_DIR/style.css rm -r -f -v $RASPBI...
true
b368c716340596a447d064baadd4cb280d17b64f
Shell
acupoints/devtools-boilerplate
/VirtualBox 6.1.16 安装 CentOS-8.2.2004 _.sh
UTF-8
2,209
3.015625
3
[]
no_license
## VirtualBox 6.1.16 安装 CentOS-8.2.2004 ### 系统安装前的配置 [<h>新建] **名称 {CentOS-8.2.2004} **内存大小 {4096}+- **虚拟硬盘 (*)现在创建虚拟硬盘 **虚拟硬盘文件类型 (*)VDI (VirtualBox 磁盘映像) **存储在物理硬盘上 (*)动态分配 **文件位置和大小 {CentOS-8.2.2004}... ==[60.00GB] [<h>设置] [<v>常规][高级] **共享粘贴板 --[双向] **拖放 --[双向] [<v>系统][处理器] **处理器数量 ==[2]+- [<v>显示][屏幕] **显存大小 ==[32M...
true
eb3032a03aec40119f82c7724ddc18167939c72e
Shell
xiebruce/PicUploader
/vendor/cloudinary/cloudinary_php/tools/allocate_test_cloud.sh
UTF-8
372
2.625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash API_ENDPOINT="https://sub-account-testing.cloudinary.com/create_sub_account" SDK_NAME="${1}" CLOUD_DETAILS=$(curl -sS -d "{\"prefix\" : \"${SDK_NAME}\"}" "${API_ENDPOINT}") echo ${CLOUD_DETAILS} | python -c 'import json,sys;c=json.load(sys.stdin)["payload"];print("cloudinary://%s:%s@%s" % (c["cl...
true
f43630c03c7a57cc501624be6cb6a9cb82e868fb
Shell
GOTO-OBS/goto-vegas
/.ci/update.sh
UTF-8
417
3.09375
3
[ "MIT" ]
permissive
#!/bin/bash -x # Push the updated entries.csv and README.md file to GitHub if [ -n "$GITHUB_API_KEY" ]; then cd $TRAVIS_BUILD_DIR cp entries.csv tmp/ cp README.md tmp/ cd tmp/ git add entries.csv git add README.md git -c user.name="referee" -c user.email="referee" commit -m "Updating scoreboard [ci skip]...
true
c0d09e13dcafc6f4583542af403f2a53748a5ca0
Shell
HankChow/12306-in-CLI
/auto_update.sh
UTF-8
237
2.828125
3
[]
no_license
#!/bin/zsh old_list=`ls | grep station` python3 train.py -u new_list=`ls | grep station` if [ $old_list != $new_list ] then git rm $old_list git add $new_list git commit -m UPDATED_AUTOMATICALLY git push origin master fi
true
ba2c9c9415fb73c1e093c973beee22804e49fde5
Shell
bendevorg/diagonal-rush-backend
/tools/app.sh
UTF-8
656
3.578125
4
[]
no_license
APP_NAME="boilerplate" # By default (without ENVIRONMENT set) we run as "dev" if [ -z "${ENVIRONMENT}" ] then ENVIRONMENT="dev" fi # # RUN PRODUCTION # run_prd() { npm run prod } # # RUN TESTS # run_test() { # Install dev dependencies npm i npm run test && npm run coverage } # ...
true
ecb61447ee07bbcb044a4de44692bcf6c07bb66c
Shell
davebaird/z5.stdlib
/sh/poettools
UTF-8
922
3.6875
4
[]
no_license
#!/bin/bash import errcho import pathtools PoetRootDir= poet._import () { local rootdir; rootdir="${1:-"$(path.rootdir.pwd .poet_root)"}" poet.switchroot "$rootdir" poet._build } poet.conf.get () { pause_fn "$PoetRootDir $*" [[ -z $* ]] && errxit "ERROR: no config target key supplied" "$Z5_ST...
true
67a97361551297838ca447fed13ae6d7a15a6b48
Shell
joshuakester66/netventory
/current_scripts/netventory.fdb.sh
UTF-8
14,391
3.671875
4
[]
no_license
#!/bin/bash #Filename: netventory.fdb.sh #Description: # This script gets the fdb table or mac address table for the given IP addresses via SNMP # it then updates the database #Requirements: # Credentials file located at $HOME/scripts/.credentials # Packages: # mariadb-server/mysqld # net-snmp # net-snmp-uti...
true
10fc859fb50f8395a3ff1234baafee584146c5ba
Shell
lynxbat/foo
/scripts/run_tests_with_docker.sh
UTF-8
1,052
2.953125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -e #http://www.apache.org/licenses/LICENSE-2.0.txt # # #Copyright 2015 Intel Corporation # #Licensed under the Apache License, Version 2.0 (the "License"); #you may not use this file except in compliance with the License. #You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENS...
true
e4d292139f4f4defe3faf778d838ff0b2c21b6aa
Shell
mgcfish/pentesting-cookbook
/bootstrap/kali.deps.extra.kalitorify.sh
UTF-8
266
2.828125
3
[]
no_license
HOMEDIR=$(grep -e "^$USERNAME:" /etc/passwd | cut -d: -f6) LIBDIR=$HOMEDIR/lib apt-get install -y tor curl sudo -u $USERNAME -i <<EOF mkdir $LIBDIR cd $LIBDIR git clone https://github.com/brainfucksec/kalitorify EOF cd $LIBDIR/kalitorify/ make install
true
361450d5fee3ffbb2a4273a54d09cafca6718e3d
Shell
vitessio/vitess
/web/vtadmin/build.sh
UTF-8
1,637
3.125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2023 The Vitess Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or a...
true
1ab6cf6457582bef67b66a44b772c69710fb6380
Shell
jrmarino/DPorts-Raven
/www/havp/files/pkg-install.in
UTF-8
1,166
3.40625
3
[]
no_license
#!/bin/sh # $FreeBSD: head/www/havp/files/pkg-install.in 340719 2014-01-22 15:52:06Z mat $ PREFIX=${PKG_PREFIX:-%%PREFIX%%} HAVP_USER=havp HAVP_GROUP=havp LOG_DIR=%%LOG_DIR%% TMP_DIR=%%TMP_DIR%% RUN_DIR=%%RUN_DIR%% if [ "$2" = "PRE-INSTALL" ]; then if ! pw groupshow "$HAVP_GROUP" 2>/dev/null 1>&2; then if pw gro...
true
a3e9a26aaa0e8d791b4d75b57d5d70bb511ce525
Shell
netsil/app-demo
/run-webservers.sh
UTF-8
1,201
3.421875
3
[]
no_license
#!/bin/bash webserver=$1 if [ "$webserver" = "apache" ] ; then APACHE_PORT=${APACHE_PORT:-8081} WEB_APP_SERVER_PORT=${WEB_APP_SERVER_PORT:-8080} if [ -z "${WEB_APP_HOST}" ] ; then echo "Error! You must specify WEB_APP_HOST" exit 1 fi sudo docker run -td \ --name apache-ap...
true
dacad3d6e73619a42aedec728cb9f122de32a3d3
Shell
rafaelfschmid/scheduling
/scripts/results.sh
UTF-8
339
3.234375
3
[]
no_license
#!/bin/bash prog1=$1 #program to generate results dir1=$2 #input files dir dir2=$3 #result files dir for i in 1 2 4 8 16 ; do ((t = $i * 1024)) ((m = $i * 32)) for j in `seq 1 20` ; do ./${prog1} $t $m < ${dir1}/etc_c_${t}x${m}_hihi_${j}.dat > ${dir2}/${t}x${m}_${j}.out echo etc_c_${t}x${m}_hihi_${j}.dat done...
true
8c074610c7dfa88e1e29426ec41bbcc33f0ad1a1
Shell
stfc/ceph-performance-data
/dd/slave.sh
UTF-8
1,063
3.453125
3
[]
no_license
#!/bin/bash DATE=$(date "+%Y-%m-%d %H:%M:%S") BS=$1 COUNT=$2 FOLDER="./logs/${BS}_bs_logs" echo "Running Test $BS $COUNT" if ! [ -e $FOLDER ] ; then mkdir $FOLDER fi wname="./$FOLDER/write_${BS}_${COUNT}.log" rname="./$FOLDER/read_${BS}_${COUNT}.log" uname="${BS}_${COUNT}.log" if [[ -e $wname ]] ; then i=2 ...
true
a9ac0608c77f06d2a3e8e92179401d1471387f2f
Shell
arcticicestudio/igloo
/snowblocks/zsh/pkgs/git/config-base.zsh
UTF-8
2,623
3.328125
3
[ "MIT" ]
permissive
# Copyright (c) 2016-present Arctic Ice Studio <development@arcticicestudio.com> # Copyright (c) 2016-present Sven Greb <development@svengreb.de> # Project: igloo # Repository: https://github.com/arcticicestudio/igloo # License: MIT # Loads configurations for Git's prompt support when the script has been loaded...
true
fa1898c085c0c1c2a575910033f000443e4b497d
Shell
praetore/MinecraftDeployment
/run-minecraft-client.sh
UTF-8
343
3.03125
3
[]
no_license
#!/bin/sh command -v java -version >/dev/null 2>&1 || { sudo apt-get install openjdk-7-jre; } # Prepare MC client jar if [ ! -f ./Minecraft.jar ]; then wget https://s3.amazonaws.com/Minecraft.Download/launcher/Minecraft.jar; fi if [ ! -x ./Minecraft.jar ]; then chmod +x Minecraft.jar; fi # Start Minecraft client j...
true
deb955713c39d9bca93acc823386afc98c11d7de
Shell
tsward6/cs753_team2_assignment2
/prog2.sh
UTF-8
911
3.59375
4
[]
no_license
#!/bin/bash # # CS873 Programming Assignment2 main script Team2 # # This script runs the necessary steps for parts 1 and 2 of programming # assignment 2. # # 1) maven compile # 2) run the jar file maven created # 3) run the python script that uses pytrec_eval to get results for part 2 # # # remove program created ...
true
da80eb2959f8d32d71d8e29a889ce437cf3cedd6
Shell
minjun-jang/ocpinstall
/99.download/tools_download.sh
UTF-8
2,085
3.09375
3
[]
no_license
#!/bin/sh ABSOLUTE_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source "${ABSOLUTE_PATH}/../00.prepare/config/openshift.env" OPENSHIFT_RELEASE=4.5.1 #OPENSHIFT_RELEASE=$(curl -s https://mirror.openshift.com/pub/openshift-v4/dependencies/rhcos/${OPENSHIFT_VERSION}/latest/sha256sum.txt | cut -d "-" -f2 | un...
true
8f847792bbec6beac827bb8dff2e0cd53ffa58e5
Shell
petronny/aur3-mirror
/wolfclient-git/PKGBUILD
UTF-8
1,065
2.96875
3
[]
no_license
# Contributor: Andreas Baumann <abaumann at yahoo dot com> # Maintainer: Andreas Baumann <abaumann at yahoo dot com> pkgname=wolfclient-git pkgver=20140620 pkgrel=1 pkgdesc="Client for Wolframe." license=('GPL3') arch=('i686' 'x86_64' 'armv6h') url="http://wolframe.net/" depends=('qt4') makedepends=('git' 'mesa-libgl' ...
true
b7fd3729c7d7d93984cc1e93472b53fafb877adf
Shell
chloeandisabel/heroku-buildpack-gulp
/lib/build.sh
UTF-8
7,631
3.578125
4
[]
no_license
error() { echo " ! $*" >&2 echo "" return 1 } head() { echo "" echo "-----> $*" } info() { #echo "`date +\"%M:%S\"` $*" echo " $*" } file_contents() { if test -f $1; then echo "$(cat $1)" else echo "" fi } assert_json() { local file=$1 if test -f $file; then if ! cat $...
true
698859ed395f798583f036c93d38f4add0debe1b
Shell
davidvenegasr/Computer-Architecture-
/TP2 - SIMD Image Filters/src/experimentos/exps/exp1_Zigzag.sh
UTF-8
2,290
2.765625
3
[]
no_license
#!/bin/bash #------------------------------------------------------------------------------- # Este script genera los resultados para el experimento 1 del informe # FORMA DE LLAMAR AL SCRIPT # # ./exp1_Zigzag.sh # # (solo se puede llamar desde la carpeta donde sera guardado el sh) #------------------------------------...
true
3d35aeff1189803c680529a7f3cbe9b7b9a18492
Shell
optionalg/bash-18
/system-dump
UTF-8
2,160
3.28125
3
[]
no_license
#!/bin/bash # date : 2011.11.01 # goal : this system will move to other machine # usage: just run it. HOME_DIR=/home/ghh DUMP_DIR=/home/ghh/dump SVN_REPOS=/home/ghh/svn-repos SVN_DUMP_FILE=$DUMP_DIR/svn-dump TRAC_ENV=/var/www/trac TRAC_DUMP_ENV=$DUMP_DIR/trac-dump PSQL_DUMP_DIR=$DUMP_DIR/psql_dump DB_LIST=("db_test...
true
c248ecd75dfd2da5f3be7f0c3fbcef9a834006f9
Shell
Villadelfia/zshsettings
/.zsh/plugins/autoupdate-impl.sh
UTF-8
722
3.0625
3
[]
no_license
#!/bin/zsh # Checks for updates on my rc files # vim:syntax=zsh trap '' 2 # Vim cd ~/vimrc if git fetch --dry-run 2>&1 | grep -q '.'; then echo echo "Updating vimrc..." git pull case $(uname -s) in Cygwin*|CYGWIN*) yes | $(pwd)/mkwincopy.sh ;; *) ;...
true
2e02a50c7fbe91573fd4e5174c3226af9b2c02ad
Shell
pvmsikrsna/wallaroo
/.release/documentation-release.sh
UTF-8
2,463
4.15625
4
[ "Apache-2.0", "LicenseRef-scancode-generic-cla" ]
permissive
#! /bin/bash set -o errexit set -o nounset verify_args() { ## Verifies that the documentation release is being run for the provided args for ## version and commit echo "Creating documentation for version $for_version with commit $commit" while true; do read -rp "Is this correct (y/n)?" yn case $yn in ...
true
16d29c3e6a868f57fc8dc7f15fb1e7739be369d1
Shell
giorgos1987/bash_script
/2_cp_for_land.sh
UTF-8
794
2.84375
3
[]
no_license
#!/bin/bash #Author : Papoutsis Georgios Agroknow while read line do name=$line echo "$( cut -d ':' -f 1 <<< $line )" >> ~/landportal/agris_land_filenames.txt # echo "Text read from file - $name" ###echo "$( cut -d ':' -f 1 <<< '$line' )" >> ~/agris_land_2015_filenames.txt done < ~...
true
59ad0236a94bb73ba1e2e29a8c429dc012611b4f
Shell
mk-pmb/homerouter-util-pmb
/speedport/w724v/download_syslog.sh
UTF-8
1,683
3.421875
3
[]
no_license
#!/bin/bash # -*- coding: utf-8, tab-width: 2 -*- function download_syslog () { export LANG{,UAGE}=en_US.UTF-8 # make error messages search engine-friendly local SELFPATH="$(readlink -m "$BASH_SOURCE"/..)" source "$SELFPATH"/lib_sp_w724v.sh --lib || return $? local LOG_BFN="${SP_LOGSDIR:-.}/$(date +%Y-%m/%...
true
45d3e9c3f75e1c8e68e9d20b3ab1fbbad8d03c6f
Shell
sarvex/Impala
/thirdparty/openldap-2.4.25/tests/scripts/test044-dynlist
UTF-8
15,936
3.109375
3
[ "Apache-2.0", "OLDAP-2.8", "LicenseRef-scancode-warranty-disclaimer", "BSD-4.3RENO" ]
permissive
#! /bin/sh ## This work is part of OpenLDAP Software <http://www.openldap.org/>. ## ## Copyright 1998-2011 The OpenLDAP Foundation. ## All rights reserved. ## ## Redistribution and use in source and binary forms, with or without ## modification, are permitted only as authorized by the OpenLDAP ## Public License. ## ## ...
true
454792f1b89bcd359afca085f39ec12c1f1e69f8
Shell
alexdlaird/old-college-projects
/Fall Semester 2010/Parallel Computing/Sieve to Find Primes (Shared Memory)/test.sh
UTF-8
474
3.71875
4
[]
no_license
#!/bin/bash # Ensure we're testing the latest build make 1>&2 if [ $? -ne 0 ] then echo "Build failed, fix that first" 1>&2 exit fi # Varying problem sizes for prime in 100 10000 1000000 100000000 250000000 500000000 1000000000 do # Headers for columns echo "Max Prime, Threads, Time, Prime Count" # 1-32 threads...
true
9c2c8c6957eed2f1fa9f038560deab238e291b60
Shell
shauntheawesome1/DVC-COMSC-171-Introduction-to-Linux-and-UNIX
/BashTest_Shift.bash
UTF-8
2,127
3.53125
4
[]
no_license
return codes ls echo $? # return code from previous command, zero if OK, non-zero if error ls /foo # error echo $? true echo $? false echo $? string conditional expressions x=qwerty y=asdfgh # set some variables for testing [[ $x == q*y ]] # string matches wildcard (!= does not match) echo $? [[ $x =~ q[ertw]{...
true
1c8cd7e3d697232bebc64a12110d88464aa7e3db
Shell
jaxxzer/DCA-dev
/scripts/remote_flash.sh
UTF-8
901
3.390625
3
[]
no_license
#!/bin/bash # flash firmware to pixhawk connected to remote host # Jacob Walser September 2016 DATE=$(date +%y-%m-%d.%H:%M:%S) BRANCH=$(git rev-parse --abbrev-ref HEAD) COMMIT=$(git rev-parse --short HEAD) # Name the firmware with descriptive information FILENAME=$DATE.$BRANCH.$COMMIT.px4 echo $FILENAME # copy the ...
true
83200458aa42de2289f386627bd17d5efa1f206b
Shell
juanfmx2/heroku-buildpack-gettext-customizable
/bin/compile
UTF-8
1,843
4.0625
4
[]
no_license
#!/usr/bin/env bash # bin/compile <build-dir> <cache-dir> # Resolves in which directory is this file located so it does not matter from which path it is being called SOURCE="${BASH_SOURCE[0]}" while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink DIR="$( cd -P "$( dirname "$SOURCE" )" &&...
true
917c44c8ee0a00f9468827cbd9751b2cd4862ef7
Shell
wonesy/wanki
/build.bash
UTF-8
177
2.8125
3
[]
no_license
#!/bin/bash pushd $(git rev-parse --show-toplevel) docker build -t wonesy/wanki:latest . || exit 1 if [[ $1 == "publish" ]]; then docker push wonesy/wanki:latest fi popd
true
8164306dc13c057c2bfcddae1773f59dad93cb25
Shell
joshisanonymous/class_assignments
/socio_seminar_project/extract_lines.sh
UTF-8
721
3.703125
4
[]
no_license
#!/bin/bash # This script will extract lines that contain 3rd person plural subject # pronouns from plain text transcriptions of interviews and saves them # a new text file with the original line numbers. # # Usage: The script takes one or more arguments, which is the list of text # files. # # -Joshua McNeill (joshua d...
true
fb904b1c3245495b391ab9d64fef02314744212b
Shell
marcmascort/bash-helpers
/src/display
UTF-8
823
3
3
[ "MIT" ]
permissive
#!/usr/bin/env bash ANSI_NO_COLOR='\033[0m' ANSI_COLOR_RED='\033[0;31m' ANSI_COLOR_GREEN='\033[0;32m' ANSI_COLOR_ORANGE='\033[0;33m' ANSI_COLOR_YELLOW='\033[1;33m' ANSI_COLOR_BLUE='\033[0;34m' ANSI_COLOR_LIGHT_BLUE='\033[1;34m' success() { printf "${ANSI_COLOR_GREEN}$*${ANSI_NO_COLOR}" } warning() { printf "$...
true
ee00754938271651458ba363444d3219203698f6
Shell
j3ffml/dotfiles
/bashrc
UTF-8
883
3.28125
3
[]
no_license
# If not running interactively, don't do anything [ -z "$PS1" ] && return # don't put duplicate lines in the history. See bash(1) for more options # don't overwrite GNU Midnight Commander's setting of `ignorespace'. HISTCONTROL=$HISTCONTROL${HISTCONTROL+:}ignoredups # ... or force ignoredups and ignorespace HISTCONTRO...
true
b024bc416a48db433ae9aa62ec39402bf1838b99
Shell
sandeep937/Devel
/bin/android/sdcard1_umount.sh
UTF-8
923
3.96875
4
[]
no_license
#!/system/xbin/env bash CARD_AUTO_MOUNTED="/storage/sdcard1 /mnt/fuse/sdcard1" mkdir_maybe ( ) { [ -d "$1" ] || mkdir -p "$1" } is_mounted ( ) { mount | grep -q " $1 " } say_and_do ( ) { echo "$*" "$@" } echo "umount the automatic mount of the card" for auto_mounted in ${CARD_AUTO_MOUNTED} do o...
true
44df00c221c1395e43017676a396d0fab8101e5d
Shell
delkyd/alfheim_linux-PKGBUILDS
/pachist-git/PKGBUILD
UTF-8
971
2.734375
3
[]
no_license
# Maintainer: Daniel Sandman <revoltism@gmail.com> # Co-Maintainer: Maxim Andersson <thesilentboatman@gmail.com> pkgname=pachist-git _gitname=pachist pkgver=r51.3f5521b pkgrel=1 pkgdesc="A small bash program to show the installed package history in Arch Linux." arch=('any') url="https://github.com/shellkr/pachist" lic...
true
cb9599bd058d049a1002bf0a4aa8280055e46a16
Shell
grpc/grpc
/tools/internal_ci/linux/grpc_xds_k8s_xlang.sh
UTF-8
4,093
3.53125
4
[ "BSD-3-Clause", "MPL-2.0", "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Copyright 2021 gRPC authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
true
edf387f537863ef6a43e28e06a37f90aee0ad98e
Shell
TranAnhOffical/codelab-project
/codelab.sh
UTF-8
768
3.078125
3
[]
no_license
#!/bin/bash echo "========== Main Menu Codelab ==========" echo " 1) Install Xfce4" echo " 2) Install Net-Tools" echo " 3) Install C3CBot" echo " 4) Install MiraiBot" echo "=======================================" read n case $n in 1) echo "Loading Package";; wget https://raw.githubusercontent.com/TranAnhOffica...
true
20f3edd5d12a0e49f5227dfa936b8b7ebe00ffcf
Shell
rickb777/sqlapi
/version.sh
UTF-8
306
3.359375
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh -e V="$1" if [ -z "$V" ]; then V=$(git describe --tags --always 2>/dev/null) fi VFILE=version.go echo "// Updated automatically (altered manually just prior to each release)" > $VFILE echo "" >> $VFILE echo "package sqlapi" >> $VFILE echo "" >> $VFILE echo "const Version = \"$V\"" >> $VFILE
true
5d28dcec2c58c72a0442502e373ce4e9134c428a
Shell
anthony-khong/dotfiles
/aws/notes.sh
UTF-8
1,060
2.625
3
[ "Unlicense" ]
permissive
# Startup # - Create user # - Give user "AdministratorAccess" policy # - Create key pair # - Allows SSH connection in security group # Configure AWS (Region: ap-southeast-1, Output: json) aws configure # EC2 aws ec2 describe-instances aws ec2 describe-instances \ --filters "Name=instance-type,Values=t2.micro" \ ...
true
035b49fcce20ca204ae922ed7877755f0390950c
Shell
xcode2010/saurik-svn-mirror
/menes/trunk/utils/mtime.sh
UTF-8
118
2.625
3
[]
no_license
#!/bin/sh if stat --version >/dev/null 2>&1; then exec stat -c "%Y" -- "$@" else exec stat -f "%m" -- "$@" fi
true
9af1d237706fb260f3af06e4a7293bc0aca095d8
Shell
h-youhei/homedir
/bin/add-network.sh
UTF-8
408
3.8125
4
[ "MIT" ]
permissive
#!/bin/sh list=`networkctl list` echo "$list" printf "choose network. type IDX (default 2):" read idx case $idx in "" ) idx=2 ;; [1-9] ) ;; * ) echo "type number" exit 1 ;; esac name=`echo "$list" | grep "^ *$idx" | awk '{print $2}'` if test -z "$name" then echo "not exist the network id" exit 1 fi cat ...
true
a28afe087dd772e52c193371e30a2b1190b185e3
Shell
tudorpavel/tomorrow-theme
/Mate-Terminal/setup-theme.sh
UTF-8
1,335
3.03125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash [[ -z "$PROFILE_NAME" ]] && PROFILE_NAME=Tomorrow [[ -z "$PROFILE_SLUG" ]] && PROFILE_SLUG=tomorrow [[ -z "$GCONFTOOL" ]] && GCONFTOOL=gsettings [[ -z "$BASE_SCHEMA" ]] && BASE_SCHEMA=org.mate.terminal.profile:/org/mate/terminal/profiles PROFILE_SCHEMA="$BASE_SCHEMA/$PROFILE_SLUG/" gset() { loc...
true
53f736a83a9fb73a1128f30eb6dd2a5a926d2976
Shell
cmeiklejohn/AMBROSIA
/InternalImmortals/PerformanceTestInterruptible/run_two_docker_containers.sh
UTF-8
2,459
3.40625
3
[ "MIT" ]
permissive
#!/bin/bash echo "Using AZURE_STORAGE_CONN_STRING =" $AZURE_STORAGE_CONN_STRING set -euo pipefail ################################################################################ # Run TWO docker containers, each with an ImmortalCoordinator, one # containing the PTI server and one containing the client. ###############...
true
74f140f929a90beb1dd2eb5f43a3b672b3c57f15
Shell
wgx731/dr-spring
/scripts/build-images.sh
UTF-8
1,385
3.296875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash echo "[BUILD-IMAGES]: precondition list" echo "1. 'docker', 'docker-compose' and 'gzip' installed on system." echo "2. following config files must be in '$PWD/target/config': " echo " dr-spring-dubbo-provider.properties dr-spring-gateway.properties grpc.env " echo "3. following environm...
true